=== src/devs/plugins/lcomp/CMakeLists.txt ===
set(DEVPLUGIN_SOURCES     ${DEVPLUGIN_DIR}/lcompDevPlugin.cpp
                          ${DEVPLUGIN_DIR}/lcompDevSeqAdcCfgDialog.cpp)

set(DEVPLUGIN_QT_HEADERS  ${DEVPLUGIN_DIR}/lcompDevPlugin.h
                          ${DEVPLUGIN_DIR}/lcompDevSeqAdcCfgDialog.h)

set(DEVPLIGIN_UI          ${DEVPLUGIN_DIR}/lcompDevSeqAdcCfgDialog.ui)

set(LQMEAS_DEVS  ${LQMEAS_DEVS} E14_440)
