=== src/devs/plugins/ltr/CMakeLists.txt ===
set(DEVPLUGIN_SOURCES     ${DEVPLUGIN_DIR}/LtrDevPlugin.cpp)

set(DEVPLUGIN_QT_HEADERS  ${DEVPLUGIN_DIR}/LtrDevPlugin.h)

set(DEVPLIGIN_UI          )


set(LQMEAS_DEVS  ${LQMEAS_DEVS} LTR24 LTR25 LTR35 LTR51 LTR210)
