=== debian/changelog ===
lqmeasstudio (1.2.2) stable; urgency=low

  * Initial Release.

 -- Borisov Alexey <borisov@lcard.ru>  Sat, 07 Apr 2012 11:35:15 +0400
